Payout wallets

Add Wallet

Validates a new wallet address per chain, creates a PENDING wallet and auto-runs a test transaction if configured.

POSThttps://api.toku.com/hris/add-wallet

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/add-wallet' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "walletAddress": "string",
  "network": "string",
  "twoFactorCode": "string",
  "orgNetworkID": "string",
  "walletTypeCustomID": "string",
  "nickName": "string",
  "tokenTypeID": "string",
  "privyDetails": {
    "privyDID": "string",
    "email": "string"
  },
  "privyAccessToken": "string",
  "crossmintDetails": {
    "crossmintUserId": "string",
    "email": "string"
  },
  "polygonDetails": {
    "email": "user@example.com",
    "signature": "string",
    "issuedAt": "string"
  },
  "connectedViaMesh": true,
  "destinationTag": 0
}'
200 response
{
  "walletID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

namestringrequired
walletAddressstringrequired

NOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it

networkstringrequired
twoFactorCodestring
orgNetworkIDstring
walletTypeCustomIDstring
nickNamestring
tokenTypeIDstring
privyDetailsobject
Show child attributes
privyDIDstringrequired
emailstringrequired
privyAccessTokenstring

Allowed: at least 1 characters

crossmintDetailsobject
Show child attributes
crossmintUserIdstringrequired
emailstringrequired
polygonDetailsobject
Show child attributes
emailstring<email>required
signaturestringrequired

Allowed: at least 1 characters

issuedAtstringrequired

Allowed: at least 1 characters

connectedViaMeshboolean
destinationTaginteger

Response

200Successful response
walletIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits